package com.cnbm.basic.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;
import java.math.BigDecimal;

import java.util.Date;

/**
 * 工序 表
 *
 * @author why
 * @since  2022-07-15
 */
@Data
public class ProductWorkingprocedureRelationExcel {
    @Excel(name = "ID")
    private BigDecimal id;
    @Excel(name = "产品id,关联product表")
    private BigDecimal productId;
    @Excel(name = "工序id,关联 working_procedure 表")
    private BigDecimal workingProcedureId;
    @Excel(name = "顺序，工序是有先后顺序的。")
    private BigDecimal order;
    @Excel(name = "检验阶段；1 进货检验、 2 过程检验、 3 成品检验、 4 出货检验;;如果有多个用逗号隔开，比如 1,4 就代表选中了进货检验和出货检验")
    private BigDecimal inspectionStage;
    @Excel(name = "1 可用，0 不可用")
    private BigDecimal status;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "删除标志，是否有效:1 可用 0不可用")
    private BigDecimal valid;
    @Excel(name = "创建人")
    private BigDecimal creatorId;
    @Excel(name = "创建人姓名")
    private String creatorName;
    @Excel(name = "创建时间")
    private LocalDateTime createTime;
    @Excel(name = "更新人")
    private BigDecimal updaterId;
    @Excel(name = "更新人姓名")
    private String updaterName;
    @Excel(name = "更新时间")
    private LocalDateTime updateTime;
    @Excel(name = "版本号")
    private BigDecimal version;

}